## node-babel-eslint 7.2.3

=== Makefile ===
.PHONY: publish-patch

publish-patch:
	mocha
	npm version patch
	npm publish
	git push --follow-tags

=== debian/changelog ===
node-babel-eslint (7.2.3-2) unstable; urgency=medium

  * Move to main (babel is in main now)

 -- Pirate Praveen <praveen@debian.org>  Wed, 27 Sep 2017 15:08:50 +0530

node-babel-eslint (7.2.3-1) unstable; urgency=low

  * Initial release (Closes: #876182)

 -- Pirate Praveen <praveen@debian.org>  Tue, 19 Sep 2017 16:19:27 +0530

=== debian/control ===
Source: node-babel-eslint
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends:
 debhelper (>= 9)
 , dh-buildinfo
 , nodejs
Standards-Version: 4.1.0
Homepage: https://github.com/babel/babel-eslint
Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-babel-eslint.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-babel-eslint.git

Package: node-babel-eslint
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-babel-types (>= 6.23~)
 , node-babylon (>= 6.17~)
 , node-babel-code-frame (>= 6.22~)
 , node-babel-traverse (>= 6.23.1~)
Description: Custom parser for ESLint
 babel-eslint allows you to lint ALL valid Babel code with the fantastic ESLint.
 .
 You only need to use babel-eslint if you are using types (Flow) or
 experimental features not supported in ESLint itself yet. Otherwise try the
 default parser (you don't have to use it just because you are using Babel).
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/tests/control ===
Tests: require
Depends: node-babel-eslint

## node-babel-eslint 10.1.0

=== Makefile ===
.PHONY: publish-patch

publish-patch:
	./node_modules/.bin/mocha
	npm version patch
	npm publish
	git push --follow-tags

=== debian/changelog ===
node-babel-eslint (10.1.0-4) unstable; urgency=medium

  * Team upload
  * Disable more tests: error strings changed with babel 7.16

 -- Yadd <yadd@debian.org>  Wed, 22 Dec 2021 17:26:40 +0100

node-babel-eslint (10.1.0-3) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 13
  * Modernize debian/watch
    * Fix GitHub tags regex
    * Fix filenamemangle
  * Use dh-sequence-nodejs instead of pkg-js-tools
  * Update standards version to 4.6.0, no changes needed.
  * Drop dependency to nodejs
  * Update lintian overrides
  * Drop embedded @babel/parser
  * Replace embedded test modules by test dependencies to related packages:
    dedent, es-abstract, is-regex, is-string,
    @babel/helper-validator-identifier

 -- Yadd <yadd@debian.org>  Thu, 25 Nov 2021 12:17:02 +0100

node-babel-eslint (10.1.0-2) unstable; urgency=medium

  * Team upload

  * (build-)depend on recent
    node-babel-code-frame node-babel-parser
    node-babel-traverse node-babel-types
    (not node-babel7)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 18 Dec 2020 15:57:28 +0100

node-babel-eslint (10.1.0-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update Vcs-* headers from URL redirect.
  * Use canonical URL in Vcs-Git.
  * Update standards version to 4.1.1, no changes needed.

  [ Xavier Guimard ]
  * Declare compliance with policy 4.5.0
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * Use pkg-js-tools auto install
  * New upstream version 10.1.0
  * Embed modules for test
  * Enable upstream test using mocha
  * Add lintian overrides

 -- Xavier Guimard <yadd@debian.org>  Sat, 09 May 2020 09:58:51 +0200

=== debian/control ===
Source: node-babel-eslint
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , eslint <!nocheck>
 , mocha <!nocheck>
 , node-babel7 <!nocheck>
 , node-babel-code-frame (>= 7) <!nocheck>
 , node-babel-parser (>= 7) <!nocheck>
 , node-babel-traverse (>= 7) <!nocheck>
 , node-babel-types (>= 7) <!nocheck>
 , node-debbundle-es-to-primitive <!nocheck>
 , node-dedent <!nocheck>
 , node-es-abstract <!nocheck>
 , node-eslint-scope <!nocheck>
 , node-eslint-visitor-keys <!nocheck>
 , node-espree <!nocheck>
 , node-is-regex <!nocheck>
 , node-is-string <!nocheck>
 , node-object-inspect <!nocheck>
 , node-read-pkg-up <!nocheck>
 , node-resolve <!nocheck>
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/js-team/node-babel-eslint
Vcs-Git: https://salsa.debian.org/js-team/node-babel-eslint.git
Homepage: https://github.com/babel/babel-eslint
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: node-babel-eslint
Architecture: all
Depends: ${misc:Depends}
 , node-babel-code-frame (>= 7)
 , node-babel-parser (>= 7)
 , node-babel-traverse (>= 7)
 , node-babel-types (>= 7)
 , node-eslint-visitor-keys
 , node-resolve
Description: Custom parser for ESLint
 babel-eslint allows you to lint ALL valid Babel code with the fantastic ESLint.
 .
 You only need to use babel-eslint if you are using types (Flow) or
 experimental features not supported in ESLint itself yet. Otherwise try the
 default parser (you don't have to use it just because you are using Babel).
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-babel-eslint-$1/ \
 https://github.com/babel/babel-eslint/tags .*/archive/.*/v?([\d\.]+).tar.gz
